## gst-plugins-good1.0 1.14.0

=== debian/changelog ===
gst-plugins-good1.0 (1.14.0-1ubuntu1) bionic; urgency=medium

  * Boundary rebuild for bionic

 -- Laci Tele <laci@boundarydevices.com>  Fri, 20 Jul 2018 07:55:58 -0800

gst-plugins-good1.0 (1.14.0-1) unstable; urgency=medium

  * New upstream stable release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 20 Mar 2018 10:01:27 +0200

gst-plugins-good1.0 (1.13.91-1ubuntu1) bionic; urgency=medium

  * Merge with Debian unstable; remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin (+ basecamerabinsrc + photography)
    + Break and Replace -bad versions which contained these plugins.
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software
    + debian/control{,.in}: Update Vcs-* for Ubuntu

 -- Iain Lane <iain.lane@canonical.com>  Thu, 15 Mar 2018 13:15:49 +0000

gst-plugins-good1.0 (1.13.91-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 14 Mar 2018 11:04:44 +0200

gst-plugins-good1.0 (1.13.90-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 04 Mar 2018 11:41:59 +0200

gst-plugins-good1.0 (1.13.1-1ubuntu1) bionic; urgency=medium

  * Merge with Debian unstable; remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin (+ basecamerabinsrc + photography)
    + Break and Replace -bad versions which contained these plugins.
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software
    + debian/control{,.in}: Update Vcs-* for Ubuntu
  * debian/patches/import-camerabin: Refresh from -bad.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 01 Mar 2018 14:55:45 +0000

gst-plugins-good1.0 (1.13.1-1) experimental; urgency=medium

  * New upstream development release.
  * debian/build-deps.in,
    debian/control.in:
    + Build-depend on GTK and Qt for the QML and GTK plugins and put them into
      their own binary package.
  * debian/build-deps.in,
    debian/control.in,
    debian/gstreamer-plugins-good.install:
    + Build-depend on LAME, mpg123 and twolame and add Conflicts/Replaces as
      needed for gst-plugins-ugly from where the plugins moved.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 17 Feb 2018 21:00:50 +0200

gst-plugins-good1.0 (1.12.4-1ubuntu2) bionic; urgency=medium

  * No-change rebuild against latest vpx

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 27 Feb 2018 08:45:02 -0500

gst-plugins-good1.0 (1.12.4-1ubuntu1) bionic; urgency=medium

  * Merge with Debian unstable; remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin (+ basecamerabinsrc + photography)
    + Break and Replace -bad versions which contained these plugins.
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software
    + debian/control{,.in}: Update Vcs-* for Ubuntu

 -- Iain Lane <iain.lane@canonical.com>  Mon, 11 Dec 2017 14:59:03 +0000

gst-plugins-good1.0 (1.12.4-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Thu, 07 Dec 2017 19:42:40 +0200

=== debian/control ===
Source: gst-plugins-good1.0
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
Uploaders: Loic Minier <lool@dooz.org>,
           Sebastian Dröge <slomo@debian.org>,
           Sjoerd Simons <sjoerd@debian.org>
Build-Depends: libgstreamer1.0-dev (>= 1.14.0),  libraw1394-dev (>= 2.0.0) [linux-any] , libiec61883-dev (>= 1.0.0) [linux-any] , libavc1394-dev [linux-any] , libv4l-dev [linux-any] , libgudev-1.0-dev (>= 143) [linux-any], libgstreamer-plugins-base1.0-dev (>= 1.14.0), autotools-dev, dh-autoreconf, automake (>= 1.14), autoconf (>= 2.69), libtool (>= 2.2.6), autopoint (>= 0.17), cdbs (>= 0.4.93), debhelper (>= 9), dpkg-dev (>= 1.15.1), pkg-config (>= 0.11.0), gtk-doc-tools (>= 1.12), libglib2.0-dev (>= 2.40), liborc-0.4-dev (>= 1:0.4.17), libcairo2-dev (>= 1.10.0), libcaca-dev, libspeex-dev (>= 1.1.6), libpng-dev, libshout3-dev, libjpeg-dev, libaa1-dev (>= 1.4p5), libflac-dev (>= 1.1.4), libdv4-dev | libdv-dev, libxdamage-dev, libxext-dev, libxfixes-dev, libxv-dev, libgtk-3-dev (>= 3.15), libtag1-dev (>= 1.5), libwavpack-dev (>= 4.60), gstreamer1.0-plugins-base (>= 1.14.0), libsoup2.4-dev (>= 2.48), libpulse-dev (>= 2.0), libbz2-dev, gstreamer1.0-doc, gstreamer1.0-plugins-base-doc, libjack-jackd2-dev, libvpx-dev (>= 1.3.0), libmp3lame-dev, libmpg123-dev (>= 1.13), libtwolame-dev (>= 0.3.10), qtbase5-dev, qtdeclarative5-dev, libqt5x11extras5-dev
Standards-Version: 3.9.3
Vcs-Git: git://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gst-plugins-good1.0
Vcs-Browser: https://code.launchpad.net/~ubuntu-desktop/ubuntu/+source/gst-plugins-good1.0/+git/gst-plugins-good1.0
Homepage: http://gstreamer.freedesktop.org/modules/gst-plugins-good.html

Package: gstreamer1.0-plugins-good-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: gstreamer1.0-doc,
         gstreamer1.0-plugins-base-doc,
         ${misc:Depends}
Description: GStreamer documentation for plugins from the "good" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains documentation for plugins from the "good" set,
 a set of good-quality plug-ins under the LGPL license.

Package: gstreamer1.0-pulseaudio
Architecture: any
Multi-Arch: same
Section: sound
Depends: ${misc:Depends},
         ${shlibs:Depends}
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Description: GStreamer plugin for PulseAudio
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains the GStreamer plugin for PulseAudio, a sound server
 for POSIX and WIN32 systems.

Package: gstreamer1.0-qt5
Architecture: any
Multi-Arch: same
Section: graphics
Depends: ${misc:Depends},
         ${shlibs:Depends}
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Replaces: gstreamer1.0-plugins-bad (<< 1.13.1)
Breaks: gstreamer1.0-plugins-bad (<< 1.13.1)
Description: GStreamer plugin for Qt5
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains the GStreamer plugin for Qt5.

Package: gstreamer1.0-gtk3
Architecture: any
Multi-Arch: same
Section: graphics
Depends: ${misc:Depends},
         ${shlibs:Depends}
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Replaces: gstreamer1.0-plugins-bad (<< 1.13.1)
Breaks: gstreamer1.0-plugins-bad (<< 1.13.1)
Description: GStreamer plugin for GTK+3
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains the GStreamer plugin for GTK+3.

Package: gstreamer1.0-plugins-good
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gstreamer1.0-pulseaudio | gstreamer1.0-audiosink,
         gstreamer1.0-plugins-base,
         libgstreamer-plugins-good1.0-0 (= ${binary:Version}),
Recommends: gstreamer1.0-x
Replaces: gstreamer1.0-plugins-bad (<< 1.13.1),
          gstreamer1.0-plugins-ugly (<< 1.13.1)
Breaks: gstreamer1.0-plugins-bad (<< 1.13.1),
        gstreamer1.0-plugins-ugly (<< 1.13.1)
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Description: GStreamer plugins from the "good" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains the GStreamer plugins from the "good" set, a set
 of good-quality plug-ins under the LGPL license.

Package: gstreamer1.0-plugins-good-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: gstreamer1.0-plugins-good (= ${binary:Version}),
         gstreamer1.0-pulseaudio (= ${binary:Version}),
         gstreamer1.0-qt5 (= ${binary:Version}),
         gstreamer1.0-gtk3 (= ${binary:Version}),
         ${misc:Depends}
Replaces: gstreamer1.0-plugins-bad (<< 1.13.1)
Breaks: gstreamer1.0-plugins-bad (<< 1.13.1)
Description: GStreamer plugins from the "good" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains unstripped shared libraries. It is provided primarily
 to provide a backtrace with names in a debugger, this makes it somewhat
 easier to interpret core dumps. The libraries are installed in
 /usr/lib/debug and are automatically used by gdb.

Package: libgstreamer-plugins-good1.0-0
Architecture: any
Section: libs
Priority: extra
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: libgstreamer-plugins-bad1.0-0 (<< 1.0.3-1ubuntu1)
Replaces: gstreamer1.0-plugins-good (= 1.0.3-1ubuntu1),
          libgstreamer-plugins-bad1.0-0 (<< 1.0.3-1ubuntu1)
Description: GStreamer development files for libraries from the "good" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains shared GStreamer libraries from the "good" set. The API
 is not guaranteed to be stable.

Package: libgstreamer-plugins-good1.0-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: ${misc:Depends},
     libgstreamer-plugins-good1.0-0 (= ${binary:Version}),
     libgstreamer1.0-dev
Description: GStreamer development files for libraries from the "good" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains development files for GStreamer libraries from the
 "good" set. The API is not guaranteed to be stable.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/autoreconf.mk

# Work-around for gtk-doc bug:
# https://bugzilla.gnome.org/show_bug.cgi?id=783926
export PYTHONIOENCODING="utf-8"

DEB_BUILD_PARALLEL = 1

DEB_DH_AUTORECONF_ARGS += --as-needed

CFLAGS += -Wno-error
CXXFLAGS += -Wno-error
LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
DEB_MAKE_CHECK_TARGET = check || true

export CC=/usr/lib/distcc/bin/gcc-7
export CXX=/usr/lib/distcc/bin/g++-7

# this is for compatibility with dpkg-dev < 1.13.5, see
# <http://lists.debian.org/debian-devel-announce/2005/06/msg00010.html>
DEB_HOST_ARCH_CPU := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU 2>/dev/null)
DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)

# Take account of old dpkg-architecture output.
ifeq ($(DEB_HOST_ARCH_CPU),)
  DEB_HOST_ARCH_CPU := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
  ifeq ($(DEB_HOST_ARCH_CPU),x86_64)
    DEB_HOST_ARCH_CPU := amd64
  endif
endif
ifeq ($(DEB_HOST_ARCH_OS),)
  DEB_HOST_ARCH_OS := $(subst -gnu,,$(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM))
  ifeq ($(DEB_HOST_ARCH_OS),gnu)
    DEB_HOST_ARCH_OS := hurd
  endif
endif
# end of compatibility block

# debian package version
version=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
# upstream version
gst_version=$(shell echo $(version) | cut -d '-' -f 1)
gst_major=1
gst_minor=0
gst_abi=$(gst_major).$(gst_minor)
# gstreamer library package names
gst_lib=libgstreamer$(gst_abi)-0
gst_lib_dev=libgstreamer$(gst_abi)-dev
# what gstreamer version is needed
gst_lib_dev_dep=$(gst_lib_dev) (>= 1.14.0)

gst_pkgname=gstreamer$(gst_abi)
gst_deb_abi=$(gst_abi)-0

gst_extra_build_depends =
gst_extra_build_depends += libraw1394-dev (>= 2.0.0) [linux-any]
gst_extra_build_depends += , libiec61883-dev (>= 1.0.0) [linux-any]
gst_extra_build_depends += , libavc1394-dev [linux-any]
gst_extra_build_depends += , libv4l-dev [linux-any]
gst_extra_build_depends += , libgudev-1.0-dev (>= 143) [linux-any]

# debug package
DEB_DH_STRIP_ARGS += --no-automatic-dbgsym

# disable all CPU specific optimizations in commands launched by this Makefile
# using liboil; this is to work around liboil related build failures which
# are not specially interesting to catch on buildds as these might run very
# specific hardware
OIL_CPU_FLAGS=0
export OIL_CPU_FLAGS

# The plugins are basically the same.
# Link special names to a template file.
# still need "*.install" to be done by hand

PLUGINS += pulseaudio gtk3 qt5 plugins-good
CONFIG_ARGS :=
ifeq ($(DEB_HOST_ARCH_OS),linux)
PLUGINS +=
endif
VERSIONIZE= \
	plugins-good-doc.install \

ifeq ($(DEB_HOST_ARCH_OS),linux)
1394 = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgst1394.so
video4linux2 = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstvideo4linux2.so
endif

ifeq ($(DEB_HOST_ARCH_OS),hurd)
CONFIG_ARGS += --disable-oss4
else
oss4 = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstoss4.so
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
DEFAULT_AUDIOSINK = autoaudiosink
DEFAULT_AUDIOSRC = autoaudiosrc
DEFAULT_VIDEOSINK = autovideosink
DEFAULT_VIDEOSRC = v4l2src
DEFAULT_VISUALIZER = goom
else
DEFAULT_AUDIOSINK = autoaudiosink
DEFAULT_AUDIOSRC = autoaudiosrc
DEFAULT_VIDEOSINK = autovideosink
DEFAULT_VIDEOSRC = videotestsrc
DEFAULT_VISUALIZER = goom
endif

# Let's decide the package name and url depending on the distribution
VENDOR = "$(shell dpkg-vendor --query vendor)"

GST_PACKAGE_NAME := "GStreamer Good Plugins (unknown Debian derivative)"
GST_PACKAGE_ORIGIN="http://packages.qa.debian.org/gst-plugins-good$(gst_abi)"

ifeq ($(VENDOR),"Debian")
GST_PACKAGE_NAME := "GStreamer Good Plugins (Debian)"
GST_PACKAGE_ORIGIN="http://packages.qa.debian.org/gst-plugins-good$(gst_abi)"
endif

ifeq ($(VENDOR),"Ubuntu")
GST_PACKAGE_NAME := "GStreamer Good Plugins (Ubuntu)"
GST_PACKAGE_ORIGIN="https://launchpad.net/distros/ubuntu/+source/gst-plugins-good$(gst_abi)"
endif


# setup links for packages
pre-build::
	for p in $(PLUGINS); do \
		rm -f debian/$(gst_pkgname)-$$p.install; \
		sed \
			-e 's/@GST_ABI@/$(gst_abi)/g' \
			-e 's,@1394@,$(1394),g' \
			-e 's,@video4linux2@,$(video4linux2),g' \
			-e 's,@oss4@,$(oss4),g' \
			debian/gstreamer-$$p.install \
			> debian/$(gst_pkgname)-$$p.install; \
	done

	for f in $(VERSIONIZE); do \
		sed 's/@GST_ABI@/$(gst_abi)/g' debian/gstreamer-$$f \
			> debian/$(gst_pkgname)-$$f; \
	done

	sed 's/@GST_ABI@/$(gst_abi)/g' debian/libgstreamer-plugins-good.install \
	                > debian/libgstreamer-plugins-good$(gst_deb_abi).install
	sed 's/@GST_ABI@/$(gst_abi)/g' debian/libgstreamer-plugins-good-dev.install \
	                > debian/libgstreamer-plugins-good$(gst_abi)-dev.install


maint: debian/control

debian/build-deps: debian/build-deps.in debian/rules
	cat $< > $@

debian/control:: debian/control.in debian/build-deps debian/mk.control debian/rules
	perl debian/mk.control | sed \
		-e 's/@GST_VERSION@/$(gst_version)/g' \
		-e 's/@GST_ABI@/$(gst_abi)/g' \
		-e 's/@GST_DEB_ABI@/$(gst_deb_abi)/g' \
		-e 's/@GST_PKGNAME@/$(gst_pkgname)/g' \
		-e 's/@GST_LIB@/$(gst_lib)/g' \
		-e 's/@GST_LIB_DEV@/$(gst_lib_dev)/g' \
		-e 's/@GST_LIB_DEV_DEP@/$(gst_lib_dev_dep)/g' \
		-e 's/@GST_EXTRA_BUILD_DEPENDS@/$(gst_extra_build_depends)/g' \
		>$@

DEB_CONFIGURE_EXTRA_FLAGS += \
	--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
	--disable-examples \
	--enable-DEBUG \
	--enable-debug \
	--with-package-name=$(GST_PACKAGE_NAME) \
	--with-package-origin=$(GST_PACKAGE_ORIGIN) \
	--disable-gtk-doc \
	--enable-experimental \
	--with-default-audiosink=$(DEFAULT_AUDIOSINK) \
	--with-default-audiosrc=$(DEFAULT_AUDIOSRC) \
	--with-default-videosink=$(DEFAULT_VIDEOSINK) \
	--with-default-videosrc=$(DEFAULT_VIDEOSRC) \
	--with-default-visualizer=$(DEFAULT_VISUALIZER) \
	$(CONFIG_ARGS)

ifeq ($(USE_XWAYLAND),)
DEB_CONFIGURE_EXTRA_FLAGS += --disable-gtk3 --disable-x
else
DEB_CONFIGURE_EXTRA_FLAGS += --enable-gtk3 --enable-x
endif

clean::
	# get rid of the sym links
	for i in $(PLUGINS); do \
		rm -f debian/$(gst_pkgname)-$$i.install; \
		rm -f debian/$(gst_pkgname)-$$i.preinst; \
	done
	for f in $(VERSIONIZE); do \
		rm -f debian/$(gst_pkgname)-$$f; \
	done

common-binary-fixup-arch::
	dh_gstscancodecs

DEB_INSTALL_DOCS_ALL += debian/README.Debian NEWS

# Disable inclusion of large upstream ChangeLog
DEB_INSTALL_CHANGELOGS_ALL :=

.PHONY: maint

=== debian/watch ===
version=3
http://gstreamer.freedesktop.org/src/gst-plugins-good/gst-plugins-good-(1\.[\d\.]+)\.tar\.xz

## gst-plugins-good1.0 1.14.1

=== debian/changelog ===
gst-plugins-good1.0 (1.14.1-1ubuntu1~ubuntu18.04.1) bionic; urgency=medium

  * Boundary rebuild for bionic

 -- Laci Tele <laci@boundarydevices.com>  Fri, 13 Jul 2018 10:35:22 -0700

gst-plugins-good1.0 (1.14.1-1ubuntu1) cosmic; urgency=medium

  * Merge with Debian unstable (LP: #1772898); remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin (+ basecamerabinsrc + photography)
    + Break and Replace -bad versions which contained these plugins.
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software
    + debian/control{,.in}: Update Vcs-* for Ubuntu
  * Revert 1.14.0-{2,3,4}. We've worked around this issue in -base instead, so
    we don't need to disable Qt5 here.

 -- Iain Lane <iain.lane@canonical.com>  Wed, 23 May 2018 11:49:22 +0100

gst-plugins-good1.0 (1.14.1-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Fri, 18 May 2018 10:27:37 +0300

gst-plugins-good1.0 (1.14.0-4) unstable; urgency=medium

  * debian/control.in:
    + Let the -dbg package only depend on the qt5 package on non-armel/hf.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 05 Apr 2018 10:26:46 +0300

gst-plugins-good1.0 (1.14.0-3) unstable; urgency=medium

  * debian/rules:
    + Use DEB_HOST_ARCH instead of DEB_HOST_ARCH_CPU.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 04 Apr 2018 14:54:20 +0300

gst-plugins-good1.0 (1.14.0-2) unstable; urgency=medium

  * debian/control.in,
    debian/rules:
    + Disable Qt5 plugin on armhf/armel due to mesa headers being broken so
      that this package can move to testing (see #894076).

 -- Sebastian Dröge <slomo@debian.org>  Wed, 04 Apr 2018 12:12:43 +0300

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,17 @@
 Section: libs
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
+XSBC-Original-Maintainer: Maintainers of GStreamer packages <gst-plugins-good1.0@packages.debian.org>
 Uploaders: Loic Minier <lool@dooz.org>,
            Sebastian Dröge <slomo@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>
-Build-Depends: libgstreamer1.0-dev (>= 1.14.0),  libraw1394-dev (>= 2.0.0) [linux-any] , libiec61883-dev (>= 1.0.0) [linux-any] , libavc1394-dev [linux-any] , libv4l-dev [linux-any] , libgudev-1.0-dev (>= 143) [linux-any], libgstreamer-plugins-base1.0-dev (>= 1.14.0), autotools-dev, dh-autoreconf, automake (>= 1.14), autoconf (>= 2.69), libtool (>= 2.2.6), autopoint (>= 0.17), cdbs (>= 0.4.93), debhelper (>= 9), dpkg-dev (>= 1.15.1), pkg-config (>= 0.11.0), gtk-doc-tools (>= 1.12), libglib2.0-dev (>= 2.40), liborc-0.4-dev (>= 1:0.4.17), libcairo2-dev (>= 1.10.0), libcaca-dev, libspeex-dev (>= 1.1.6), libpng-dev, libshout3-dev, libjpeg-dev, libaa1-dev (>= 1.4p5), libflac-dev (>= 1.1.4), libdv4-dev | libdv-dev, libxdamage-dev, libxext-dev, libxfixes-dev, libxv-dev, libgtk-3-dev (>= 3.15), libtag1-dev (>= 1.5), libwavpack-dev (>= 4.60), gstreamer1.0-plugins-base (>= 1.14.0), libsoup2.4-dev (>= 2.48), libpulse-dev (>= 2.0), libbz2-dev, gstreamer1.0-doc, gstreamer1.0-plugins-base-doc, libjack-jackd2-dev, libvpx-dev (>= 1.3.0), libmp3lame-dev, libmpg123-dev (>= 1.13), libtwolame-dev (>= 0.3.10), qtbase5-dev, qtdeclarative5-dev, libqt5x11extras5-dev
+Build-Depends: libgstreamer1.0-dev (>= 1.14.1),  libraw1394-dev (>= 2.0.0) [linux-any] , libiec61883-dev (>= 1.0.0) [linux-any] , libavc1394-dev [linux-any] , libv4l-dev [linux-any] , libgudev-1.0-dev (>= 143) [linux-any], libgstreamer-plugins-base1.0-dev (>= 1.14.1), autotools-dev, dh-autoreconf, automake (>= 1.14), autoconf (>= 2.69), libtool (>= 2.2.6), autopoint (>= 0.17), cdbs (>= 0.4.93), debhelper (>= 9), dpkg-dev (>= 1.15.1), pkg-config (>= 0.11.0), gtk-doc-tools (>= 1.12), libglib2.0-dev (>= 2.40), liborc-0.4-dev (>= 1:0.4.17), libcairo2-dev (>= 1.10.0), libcaca-dev, libspeex-dev (>= 1.1.6), libpng-dev, libshout3-dev, libjpeg-dev, libaa1-dev (>= 1.4p5), libflac-dev (>= 1.1.4), libdv4-dev | libdv-dev, libxdamage-dev, libxext-dev, libxfixes-dev, libxv-dev, libgtk-3-dev (>= 3.15), libtag1-dev (>= 1.5), libwavpack-dev (>= 4.60), gstreamer1.0-plugins-base (>= 1.14.1), libsoup2.4-dev (>= 2.48), libpulse-dev (>= 2.0), libbz2-dev, gstreamer1.0-doc, gstreamer1.0-plugins-base-doc, libjack-jackd2-dev, libvpx-dev (>= 1.3.0), libmp3lame-dev, libmpg123-dev (>= 1.13), libtwolame-dev (>= 0.3.10), qtbase5-dev, qtdeclarative5-dev, libqt5x11extras5-dev
 Standards-Version: 3.9.3
-Vcs-Git: git://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gst-plugins-good1.0
+Vcs-Git: git://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gst-plugins-good1.0 
 Vcs-Browser: https://code.launchpad.net/~ubuntu-desktop/ubuntu/+source/gst-plugins-good1.0/+git/gst-plugins-good1.0
-Homepage: http://gstreamer.freedesktop.org/modules/gst-plugins-good.html
+XS-Debian-Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-plugins-good1.0.git -b ubuntu-bionic
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-plugins-good1.0/
+Homepage: https://gstreamer.freedesktop.org
 
 Package: gstreamer1.0-plugins-good-doc
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -13,13 +13,13 @@
 
 DEB_DH_AUTORECONF_ARGS += --as-needed
 
+export CC=/usr/lib/distcc/bin/gcc-7
+export CXX=/usr/lib/distcc/bin/g++-7
+
 CFLAGS += -Wno-error
 CXXFLAGS += -Wno-error
 LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
 DEB_MAKE_CHECK_TARGET = check || true
-
-export CC=/usr/lib/distcc/bin/gcc-7
-export CXX=/usr/lib/distcc/bin/g++-7
 
 # this is for compatibility with dpkg-dev < 1.13.5, see
 # <http://lists.debian.org/debian-devel-announce/2005/06/msg00010.html>
@@ -52,7 +52,7 @@
 gst_lib=libgstreamer$(gst_abi)-0
 gst_lib_dev=libgstreamer$(gst_abi)-dev
 # what gstreamer version is needed
-gst_lib_dev_dep=$(gst_lib_dev) (>= 1.14.0)
+gst_lib_dev_dep=$(gst_lib_dev) (>= 1.14.1)
 
 gst_pkgname=gstreamer$(gst_abi)
 gst_deb_abi=$(gst_abi)-0
@@ -176,7 +176,7 @@
 	--enable-debug \
 	--with-package-name=$(GST_PACKAGE_NAME) \
 	--with-package-origin=$(GST_PACKAGE_ORIGIN) \
-	--disable-gtk-doc \
+	--enable-gtk-doc \
 	--enable-experimental \
 	--with-default-audiosink=$(DEFAULT_AUDIOSINK) \
 	--with-default-audiosrc=$(DEFAULT_AUDIOSRC) \
@@ -186,9 +186,7 @@
 	$(CONFIG_ARGS)
 
 ifeq ($(USE_XWAYLAND),)
-DEB_CONFIGURE_EXTRA_FLAGS += --disable-gtk3 --disable-x
-else
-DEB_CONFIGURE_EXTRA_FLAGS += --enable-gtk3 --enable-x
+DEB_CONFIGURE_EXTRA_FLAGS += --disable-gtk3
 endif
 
 clean::

## gst-plugins-good1.0 1.14.4

=== debian/changelog ===
gst-plugins-good1.0 (1.14.4-1ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin (+ basecamerabinsrc + photography)
    + Break and Replace -bad versions which contained these plugins.
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software
    + debian/control{,.in}: Update Vcs-* for Ubuntu

 -- Iain Lane <iain.lane@canonical.com>  Fri, 05 Oct 2018 12:28:29 +0100

gst-plugins-good1.0 (1.14.4-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Wed, 03 Oct 2018 13:55:34 +0300

gst-plugins-good1.0 (1.14.3-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 17 Sep 2018 10:00:19 +0300

gst-plugins-good1.0 (1.14.2-1ubuntu3) cosmic; urgency=medium

  * Add some information on previous patch about the new upstream issue:
    https://bugzilla.gnome.org/show_bug.cgi?id=796879

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Jul 2018 08:41:04 +0200

gst-plugins-good1.0 (1.14.2-1ubuntu2) cosmic; urgency=medium

  * debian/patches/b03df1abf828514b0966db058388bf974ed0cf4f.patch:
    revert upstream b03df1abf828514b0966db058388bf974ed0cf4f making
    the package FTBFS on arm* / Ubuntu

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 26 Jul 2018 21:34:51 +0200

gst-plugins-good1.0 (1.14.2-1ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin (+ basecamerabinsrc + photography)
    + Break and Replace -bad versions which contained these plugins.
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software
    + debian/control{,.in}: Update Vcs-* for Ubuntu

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 24 Jul 2018 10:40:33 +0200

gst-plugins-good1.0 (1.14.2-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Mon, 23 Jul 2018 12:14:59 +0300

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
 Uploaders: Loic Minier <lool@dooz.org>,
            Sebastian Dröge <slomo@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>
-Build-Depends: libgstreamer1.0-dev (>= 1.14.1),  libraw1394-dev (>= 2.0.0) [linux-any] , libiec61883-dev (>= 1.0.0) [linux-any] , libavc1394-dev [linux-any] , libv4l-dev [linux-any] , libgudev-1.0-dev (>= 143) [linux-any], libgstreamer-plugins-base1.0-dev (>= 1.14.1), autotools-dev, dh-autoreconf, automake (>= 1.14), autoconf (>= 2.69), libtool (>= 2.2.6), autopoint (>= 0.17), cdbs (>= 0.4.93), debhelper (>= 9), dpkg-dev (>= 1.15.1), pkg-config (>= 0.11.0), gtk-doc-tools (>= 1.12), libglib2.0-dev (>= 2.40), liborc-0.4-dev (>= 1:0.4.17), libcairo2-dev (>= 1.10.0), libcaca-dev, libspeex-dev (>= 1.1.6), libpng-dev, libshout3-dev, libjpeg-dev, libaa1-dev (>= 1.4p5), libflac-dev (>= 1.1.4), libdv4-dev | libdv-dev, libxdamage-dev, libxext-dev, libxfixes-dev, libxv-dev, libgtk-3-dev (>= 3.15), libtag1-dev (>= 1.5), libwavpack-dev (>= 4.60), gstreamer1.0-plugins-base (>= 1.14.1), libsoup2.4-dev (>= 2.48), libpulse-dev (>= 2.0), libbz2-dev, gstreamer1.0-doc, gstreamer1.0-plugins-base-doc, libjack-jackd2-dev, libvpx-dev (>= 1.3.0), libmp3lame-dev, libmpg123-dev (>= 1.13), libtwolame-dev (>= 0.3.10), qtbase5-dev, qtdeclarative5-dev, libqt5x11extras5-dev
+Build-Depends: libgstreamer1.0-dev (>= 1.14.4),  libraw1394-dev (>= 2.0.0) [linux-any] , libiec61883-dev (>= 1.0.0) [linux-any] , libavc1394-dev [linux-any] , libv4l-dev [linux-any] , libgudev-1.0-dev (>= 143) [linux-any], libgstreamer-plugins-base1.0-dev (>= 1.14.4), autotools-dev, dh-autoreconf, automake (>= 1.14), autoconf (>= 2.69), libtool (>= 2.2.6), autopoint (>= 0.17), cdbs (>= 0.4.93), debhelper (>= 9), dpkg-dev (>= 1.15.1), pkg-config (>= 0.11.0), gtk-doc-tools (>= 1.12), libglib2.0-dev (>= 2.40), liborc-0.4-dev (>= 1:0.4.17), libcairo2-dev (>= 1.10.0), libcaca-dev, libspeex-dev (>= 1.1.6), libpng-dev, libshout3-dev, libjpeg-dev, libaa1-dev (>= 1.4p5), libflac-dev (>= 1.1.4), libdv4-dev | libdv-dev, libxdamage-dev, libxext-dev, libxfixes-dev, libxv-dev, libgtk-3-dev (>= 3.15), libtag1-dev (>= 1.5), libwavpack-dev (>= 4.60), gstreamer1.0-plugins-base (>= 1.14.4), libsoup2.4-dev (>= 2.48), libpulse-dev (>= 2.0), libbz2-dev, gstreamer1.0-doc, gstreamer1.0-plugins-base-doc, libjack-jackd2-dev, libvpx-dev (>= 1.3.0), libmp3lame-dev, libmpg123-dev (>= 1.13), libtwolame-dev (>= 0.3.10), qtbase5-dev, qtdeclarative5-dev, libqt5x11extras5-dev
 Standards-Version: 3.9.3
-Vcs-Git: git://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gst-plugins-good1.0 
+Vcs-Git: git://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gst-plugins-good1.0
 Vcs-Browser: https://code.launchpad.net/~ubuntu-desktop/ubuntu/+source/gst-plugins-good1.0/+git/gst-plugins-good1.0
-XS-Debian-Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-plugins-good1.0.git -b ubuntu-bionic
+XS-Debian-Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-plugins-good1.0.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-plugins-good1.0/
 Homepage: https://gstreamer.freedesktop.org

=== debian/rules ===
--- 
+++ 
@@ -12,9 +12,6 @@
 DEB_BUILD_PARALLEL = 1
 
 DEB_DH_AUTORECONF_ARGS += --as-needed
-
-export CC=/usr/lib/distcc/bin/gcc-7
-export CXX=/usr/lib/distcc/bin/g++-7
 
 CFLAGS += -Wno-error
 CXXFLAGS += -Wno-error
@@ -52,7 +49,7 @@
 gst_lib=libgstreamer$(gst_abi)-0
 gst_lib_dev=libgstreamer$(gst_abi)-dev
 # what gstreamer version is needed
-gst_lib_dev_dep=$(gst_lib_dev) (>= 1.14.1)
+gst_lib_dev_dep=$(gst_lib_dev) (>= 1.14.4)
 
 gst_pkgname=gstreamer$(gst_abi)
 gst_deb_abi=$(gst_abi)-0
@@ -65,7 +62,7 @@
 gst_extra_build_depends += , libgudev-1.0-dev (>= 143) [linux-any]
 
 # debug package
-DEB_DH_STRIP_ARGS += --no-automatic-dbgsym
+DEB_DH_STRIP_ARGS := --dbg-package=$(gst_pkgname)-plugins-good-dbg
 
 # disable all CPU specific optimizations in commands launched by this Makefile
 # using liboil; this is to work around liboil related build failures which
@@ -112,17 +109,17 @@
 endif
 
 # Let's decide the package name and url depending on the distribution
-VENDOR = "$(shell dpkg-vendor --query vendor)"
+DISTRO = "$(shell dpkg-vendor --query vendor)"
 
 GST_PACKAGE_NAME := "GStreamer Good Plugins (unknown Debian derivative)"
 GST_PACKAGE_ORIGIN="http://packages.qa.debian.org/gst-plugins-good$(gst_abi)"
 
-ifeq ($(VENDOR),"Debian")
+ifeq ($(DISTRO),"Debian")
 GST_PACKAGE_NAME := "GStreamer Good Plugins (Debian)"
 GST_PACKAGE_ORIGIN="http://packages.qa.debian.org/gst-plugins-good$(gst_abi)"
 endif
 
-ifeq ($(VENDOR),"Ubuntu")
+ifeq ($(DISTRO),"Ubuntu")
 GST_PACKAGE_NAME := "GStreamer Good Plugins (Ubuntu)"
 GST_PACKAGE_ORIGIN="https://launchpad.net/distros/ubuntu/+source/gst-plugins-good$(gst_abi)"
 endif
@@ -185,10 +182,6 @@
 	--with-default-visualizer=$(DEFAULT_VISUALIZER) \
 	$(CONFIG_ARGS)
 
-ifeq ($(USE_XWAYLAND),)
-DEB_CONFIGURE_EXTRA_FLAGS += --disable-gtk3
-endif
-
 clean::
 	# get rid of the sym links
 	for i in $(PLUGINS); do \

## gst-plugins-good1.0 1.14.4.2+dde

=== debian/changelog ===
gst-plugins-good1.0 (1.14.4.2+dde) unstable; urgency=medium

  * update

 -- Maintainers of GStreamer packages <gst-plugins-good1.0@packages.debian.org>  Thu, 27 May 2021 15:11:01 +0800

gst-plugins-good1.0 (1.14.4.1+dde) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix CVE-2021-3497

 -- zouya <zouya@uniontech.com>  Mon, 21 May 2021 11:36:42 +0100

## gst-plugins-good1.0 1.14.5

=== meson_options.txt ===
# Enable V4L2 plugin to probe devices at plugin load
option('v4l2-probe', type : 'boolean', value : true)
# Use libv4l2 for some obscure format conversions
option('with-libv4l2', type : 'boolean', value : true)
# Whether to use orc or not (auto will autodetect, yes will error out if not found)
option('use_orc', type : 'combo', choices : ['yes', 'no', 'auto'], value : 'auto')
option('with-package-name', type : 'string',
       description : 'package name to use in plugins')
option('with-package-origin', type : 'string', value : 'Unknown package origin',
       description : 'package origin URL to use in plugins')

=== debian/changelog ===
gst-plugins-good1.0 (1.14.5-0ubuntu1~18.04.3) bionic-security; urgency=medium

  * SECURITY UPDATE: Integer overflow
    - debian/patches/CVE-2022-1920.patch: avoid integer overflow
      resulting in heap corruption in WavPack header handling code
      in gst/matroska/matroska-demux.c.
    - CVE-2022-1920
  * SECURITY UPDATE: Integer overflow
    - debian/patches/CVE-2022-1921.patch: fix integer overflow resulting
      in heap corruption in DIB buffer inversion code in
      gst/avi/gstavidemux.c.
    - CVE-2022-1921
  * SECURITY UPDATE: Integer overflows
    - debian/patches/CVE-2022-1922_1923_1924_1925-and-2122.patch: fix
      integer overflows in zblib/bz2/etc decompression code in
      gst/matroska/matroska-read-commnon.c.
    - debian/patches/fix_integer_overflows_in_zlib.patch: fix in
      gst/isomp4/qtdemux.c.
    - CVE-2022-1922
    - CVE-2022-1923
    - CVE-2022-1924
    - CVE-2022-1925
    - CVE-2022-2122

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Tue, 26 Jul 2022 07:27:13 -0300

gst-plugins-good1.0 (1.14.5-0ubuntu1~18.04.2) bionic-security; urgency=medium

  * SECURITY UPDATE: Use after free
    - debian/patches/CVE-2021-3497.patch: Fix extraction of multichannel WavPack
      in gst/matroska/matroska-demux.c, gst/matroska/matroska-ids.h.
    - CVE-2021-3497
  * SECURITY UPDATE: Heap corruption
    - debian/patches/CVE-2021-3498.patch: Initialize track context out parameter to NULL
      before parsing in gst/matroska/matroska-demux.c.
    - CVE-2021-3498

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Thu, 15 Apr 2021 13:08:04 -0300

gst-plugins-good1.0 (1.14.5-0ubuntu1~18.04.1) bionic; urgency=medium

  * New upstream release (LP: #1832123)
  * Updated references from 1.14.4 to 1.14.5

 -- Iain Lane <iain.lane@canonical.com>  Wed, 03 Jul 2019 17:54:41 +0100

gst-plugins-good1.0 (1.14.4-1ubuntu1~ubuntu18.04.1) bionic; urgency=medium

  * No-change backport to bionic (LP: #1829366)

 -- Iain Lane <iain.lane@canonical.com>  Thu, 16 May 2019 13:18:09 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Loic Minier <lool@dooz.org>,
            Sebastian Dröge <slomo@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>
-Build-Depends: libgstreamer1.0-dev (>= 1.14.4),  libraw1394-dev (>= 2.0.0) [linux-any] , libiec61883-dev (>= 1.0.0) [linux-any] , libavc1394-dev [linux-any] , libv4l-dev [linux-any] , libgudev-1.0-dev (>= 143) [linux-any], libgstreamer-plugins-base1.0-dev (>= 1.14.4), autotools-dev, dh-autoreconf, automake (>= 1.14), autoconf (>= 2.69), libtool (>= 2.2.6), autopoint (>= 0.17), cdbs (>= 0.4.93), debhelper (>= 9), dpkg-dev (>= 1.15.1), pkg-config (>= 0.11.0), gtk-doc-tools (>= 1.12), libglib2.0-dev (>= 2.40), liborc-0.4-dev (>= 1:0.4.17), libcairo2-dev (>= 1.10.0), libcaca-dev, libspeex-dev (>= 1.1.6), libpng-dev, libshout3-dev, libjpeg-dev, libaa1-dev (>= 1.4p5), libflac-dev (>= 1.1.4), libdv4-dev | libdv-dev, libxdamage-dev, libxext-dev, libxfixes-dev, libxv-dev, libgtk-3-dev (>= 3.15), libtag1-dev (>= 1.5), libwavpack-dev (>= 4.60), gstreamer1.0-plugins-base (>= 1.14.4), libsoup2.4-dev (>= 2.48), libpulse-dev (>= 2.0), libbz2-dev, gstreamer1.0-doc, gstreamer1.0-plugins-base-doc, libjack-jackd2-dev, libvpx-dev (>= 1.3.0), libmp3lame-dev, libmpg123-dev (>= 1.13), libtwolame-dev (>= 0.3.10), qtbase5-dev, qtdeclarative5-dev, libqt5x11extras5-dev
+Build-Depends: libgstreamer1.0-dev (>= 1.14.5),  libraw1394-dev (>= 2.0.0) [linux-any] , libiec61883-dev (>= 1.0.0) [linux-any] , libavc1394-dev [linux-any] , libv4l-dev [linux-any] , libgudev-1.0-dev (>= 143) [linux-any], libgstreamer-plugins-base1.0-dev (>= 1.14.5), autotools-dev, dh-autoreconf, automake (>= 1.14), autoconf (>= 2.69), libtool (>= 2.2.6), autopoint (>= 0.17), cdbs (>= 0.4.93), debhelper (>= 9), dpkg-dev (>= 1.15.1), pkg-config (>= 0.11.0), gtk-doc-tools (>= 1.12), libglib2.0-dev (>= 2.40), liborc-0.4-dev (>= 1:0.4.17), libcairo2-dev (>= 1.10.0), libcaca-dev, libspeex-dev (>= 1.1.6), libpng-dev, libshout3-dev, libjpeg-dev, libaa1-dev (>= 1.4p5), libflac-dev (>= 1.1.4), libdv4-dev | libdv-dev, libxdamage-dev, libxext-dev, libxfixes-dev, libxv-dev, libgtk-3-dev (>= 3.15), libtag1-dev (>= 1.5), libwavpack-dev (>= 4.60), gstreamer1.0-plugins-base (>= 1.14.5), libsoup2.4-dev (>= 2.48), libpulse-dev (>= 2.0), libbz2-dev, gstreamer1.0-doc, gstreamer1.0-plugins-base-doc, libjack-jackd2-dev, libvpx-dev (>= 1.3.0), libmp3lame-dev, libmpg123-dev (>= 1.13), libtwolame-dev (>= 0.3.10), qtbase5-dev, qtdeclarative5-dev, libqt5x11extras5-dev
 Standards-Version: 3.9.3
 Vcs-Git: git://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gst-plugins-good1.0
 Vcs-Browser: https://code.launchpad.net/~ubuntu-desktop/ubuntu/+source/gst-plugins-good1.0/+git/gst-plugins-good1.0

=== debian/rules ===
--- 
+++ 
@@ -49,7 +49,7 @@
 gst_lib=libgstreamer$(gst_abi)-0
 gst_lib_dev=libgstreamer$(gst_abi)-dev
 # what gstreamer version is needed
-gst_lib_dev_dep=$(gst_lib_dev) (>= 1.14.4)
+gst_lib_dev_dep=$(gst_lib_dev) (>= 1.14.5)
 
 gst_pkgname=gstreamer$(gst_abi)
 gst_deb_abi=$(gst_abi)-0
